package com.bocloud.cmp.model.hmc;

@Deprecated
public class HmcVirtualCdModel {
    /**
     * id
     */
    private Long id;
    /**
     * cd uuid
     */
    private String uuid;
    /**
     * cd name
     */
    private String cdName;
    /**
     * cd name
     */
    private String mountType;
    /**
     * cd size
     */
    private Double cdSize;
    /**
     * virtual cd assign partition id
     * <p>
     * 这个id是平台的partition的id
     * <p>
     * 不是hmc端显示的partition的id
     * <p>
     */
    private Long assignPartitionId;
    /**
     * virtual cd assign slot id
     * <p>
     */
    private Integer assignPartitionSlot;
    /**
     * virtual cd vios id
     * <p>
     * 这个id是平台的vios的id
     * <p>
     * 不是hmc端显示的vios的id 2
     */
    private Long viosId;
    /**
     * virtual cd vios slot id
     * <p>
     */
    private Integer viosSlot;
    /**
     * vios name
     */
    private String viosName;
    /**
     * vios name
     */
    private String assignPartitionName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCdName() {
        return cdName;
    }

    public void setCdName(String cdName) {
        this.cdName = cdName;
    }

    public String getMountType() {
        return mountType;
    }

    public void setMountType(String mountType) {
        this.mountType = mountType;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public Double getCdSize() {
        return cdSize;
    }

    public void setCdSize(Double cdSize) {
        this.cdSize = cdSize;
    }

    public Long getAssignPartitionId() {
        return assignPartitionId;
    }

    public void setAssignPartitionId(Long assignPartitionId) {
        this.assignPartitionId = assignPartitionId;
    }

    public Integer getAssignPartitionSlot() {
        return assignPartitionSlot;
    }

    public void setAssignPartitionSlot(Integer assignPartitionSlot) {
        this.assignPartitionSlot = assignPartitionSlot;
    }

    public Long getViosId() {
        return viosId;
    }

    public void setViosId(Long viosId) {
        this.viosId = viosId;
    }

    public Integer getViosSlot() {
        return viosSlot;
    }

    public void setViosSlot(Integer viosSlot) {
        this.viosSlot = viosSlot;
    }

    public String getViosName() {
        return viosName;
    }

    public void setViosName(String viosName) {
        this.viosName = viosName;
    }

    public String getAssignPartitionName() {
        return assignPartitionName;
    }

    public void setAssignPartitionName(String assignPartitionName) {
        this.assignPartitionName = assignPartitionName;
    }
}
